Subject: pkg/20439: kdebase3 'ksysguardd' Apm module fails to compile on Alpha
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/19/2003 21:36:24
>Number:         20439
>Category:       pkg
>Synopsis:       Apm fails to compile on Alpha (no apm.h)
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Feb 19 21:37:00 PST 2003
>Originator:     David Hopper
>Release:        NetBSD 1.6N
System: NetBSD scarab 1.6N NetBSD 1.6N (ALPHA-$Revision: $) #0: Sun Feb 16 14:19:35 UTC 2003 bard@scarab:/usr/src/sys/arch/alpha/compile/SCARAB alpha
Architecture: alpha
Machine: alpha
	 A long-standing bug for this package (and possibly still all kde* packages) on Alpha.  The fix is easy.
	 Compile kdebase3 from pkgsrc
	 Make a conditional test for apm.h, or for specific platforms without apm.  The line in question is in /kdebase-3.0.5a/ksysguard/ksysguardd/modules.h